#include <gfx.h>
#include <gfx_private.h>
#include <esp32/gfx_private.h>
#include <errno.h>
#include <inttypes.h>
#include <stdbool.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int screen_w = SCREEN_W, screen_h = SCREEN_H;

void gfx_deinit(void)
{
}

int gfx_display_size(short *const w, short *const h)
{
    *w = SCREEN_W;
    *h = SCREEN_H;
    return 0;
}

int gfx_init(void)
{
    return -1;
}

bool gfx_inside_drawenv(const short x, const short y, const short w,
    const short h)
{
    return (x + w >= 0)
        && x < screen_w
        && (y + h >= 0)
		&& y < screen_h;
}

int gfx_toggle_fullscreen(void)
{
    return -1;
}

int gfx_set_fullscreen(const short w, const short h)
{
    return -1;
}

bool gfx_fullscreen_available(void)
{
    return false;
}

bool gfx_fullscreen(void)
{
    return true;
}

int gfx_draw(void)
{
    return -1;
}
